Status: Rejected Priority: Could have
Created: 2013-10-20 Assigned To: Thomas Maroschik
Updated: 2014-02-20 Due date:
TYPO3 Version: 6.2
PHP Version:
Is Regression: No
Subject: PackageManager resolving dependencies uses folderstructure for building keys
Description

Related issues:
related to Core - Bug # 52828: extTables cache file creation does not respect... Resolved 2013-10-15

History
#1 - 2013-10-20 19:36 - Anja Leichsenring

While testing #52828 I found a strange behaviour that was revealed by the patch.

My Structure inside doc root is as following:
drwxrws--- fileadmin
lrwxrwxrwx index.php -> typo3_src/index.php
lrwxrwxrwx typo3 -> typo3_src/typo3
drwxrws--- typo3conf
lrwxrwxrwx typo3_src -> typo3conf/ext/050_core/typo3_src
drwxrws--- typo3temp
drwxrws--- uploads

This is done to have all files that go into version control inside typo3conf/ext and works fine until the moment. Inside typo3conf/ext/050_core/typo3_src
are one or more core directories, the active one is pointed to by the symlink typo3_src.

If I now try to install an extension using the EM, I get a message like this:

The package "aboutmodules" depends on "050_coretypo3_srctypo3sysextcore" which is not present in the system.

The package key looked for but not found reflects the folder structure inside typo3conf/ext.

#2 - 2013-10-20 19:38 - Helmut Hummel
- Target version set to 6.2.0

#3 - 2014-02-12 09:58 - Ernesto Baschny
- Parent task set to #47018

#4 - 2014-02-12 10:03 - Thomas Maroschik
- Status changed from New to Rejected
Placing the typo3_src folder into typo3conf/ext is not good practice and shouldn't be supported. The ext folder has it's name from extension and means
that only extensions should reside in this directory. I would advise to place the folder into typo3conf/src instead and everything should be fine.

If this doesn't reflect your opinion, please reopen the issue. :)

#5 - 2014-02-20 16:28 - Thomas Maroschik
- Assigned To set to Thomas Maroschik
